import G6 from '@antv/g6';
import { startNode } from "./start";
import { endNode } from "./end";
import { abnormalNode } from "./abnormal";
import { conditionNode } from "./condition";
import { actionNode } from "./action";
import { eventNode } from "./event";
import { eventFlowNode } from "./eventFlow";
import { FlowEvent } from "../type";
import { ruleNode } from "./rule";
import { ruleBeforeNode } from "./ruleBefore";
import { ruleAfterNode } from "./ruleAfter";
import { rulePreNode } from "./rulePre";
import { conditionElseNode } from "./conditionElse";
export var registerNodes = function registerNodes() {
  G6.registerNode(FlowEvent.start, startNode, 'rect');
  G6.registerNode(FlowEvent.end, endNode, 'rect');
  G6.registerNode(FlowEvent.abnormal, abnormalNode, 'rect');
  G6.registerNode(FlowEvent.condition, conditionNode, 'rect');
  G6.registerNode(FlowEvent.conditionElse, conditionElseNode, 'rect');
  G6.registerNode(FlowEvent.action, actionNode, 'rect');
  G6.registerNode(FlowEvent.event, eventNode, 'rect');
  G6.registerNode(FlowEvent.eventFlowNode, eventFlowNode, 'rect');
  G6.registerNode(FlowEvent.rule, ruleNode, 'rect');
  G6.registerNode(FlowEvent.rulePre, rulePreNode, 'rect');
  G6.registerNode(FlowEvent.ruleBefore, ruleBeforeNode, 'rect');
  G6.registerNode(FlowEvent.ruleAfter, ruleAfterNode, 'rect');
};